Bug 904 - pine does not show new mail
pine does not show new mail
Product: Red Hat Linux
Classification: Retired
Component: pine (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-01-20 18:02 EST by dreish
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-03-22 15:28:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description dreish 1999-01-20 18:02:52 EST
When new mail arrives, the pine supplied with Red Hat 5.2
does not recognize the new mail, nor show it in its folder,
unless I exit and restart pine.  Not even closing INBOX,
opening another mailbox, and then reopening INBOX is enough
to show the new mail.

Yes, of course, I still have mail-check-interval set (at

xbiff _does_ recognize new mail.
Comment 1 Preston Brown 1999-03-22 15:28:59 EST
We cannot duplicate this here in the test lab.  While mail sometimes
doesn't show up right when it arrives, it does always eventually show
up (sometimes it shows up after the default mail check interval of 30
seconds).  Ctrl-L refreshes the window as well, and may find new

Your problems are most likely related to NFS timing and file locking
issues.  You may be nfs mounting /var/spool/mail, which we have seen
similar problems from in the past.  Do the latest releases of pine in
RawHide continue to show the problem behaviour for you?  If so, please
re-open this bug report.
Comment 2 dreish 1999-03-22 15:52:59 EST
I do not use NFS.  However, file locking is probably the cause of the
problem, since I use qmail maildirs, and had a script wrapper around
Pine which ran maildir2mbox every 60 seconds.  (I should have
mentioned this in the original bug report.)  This worked under 5.0,
but stopped working in 5.2.

Shortly after reporting the problem, however, I switched to mutt, and
now use xbiff to report new mail.

Note You need to log in before you can comment on or make changes to this bug.